Bug 186069 - The rpc.gssd daemon fails with mixed case characters
The rpc.gssd daemon fails with mixed case characters
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nfs-utils (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
:
Depends On:
Blocks: 181409
  Show dependency treegraph
 
Reported: 2006-03-21 09:32 EST by Steve Dickson
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2006-0463
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:29:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The patch that fixes the problem (917 bytes, patch)
2006-03-21 09:32 EST, Steve Dickson
no flags Details | Diff

  None (edit)
Description Steve Dickson 2006-03-21 09:32:29 EST
Description of problem:
The rpc.gssd daemon, used with Secure NFS, does not understand
DNS domain names that used upper and lower case characters


Version-Release number of selected component (if applicable):


How reproducible:
Set the DNS domain name to contain both upper and lower
case characters, then try to mount using the -o sec=krb5 mount
option.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Mount fails

Expected results:
Mount should work

Additional info:
This was found at this year's Connectathon
Comment 1 Steve Dickson 2006-03-21 09:32:31 EST
Created attachment 126398 [details]
The patch that fixes the problem
Comment 4 Steve Dickson 2006-05-02 12:57:30 EDT
fixed in nfs-utils-1.0.6-69
Comment 8 Red Hat Bugzilla 2006-08-10 17:29:26 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0463.html

Note You need to log in before you can comment on or make changes to this bug.